Subject: Re: [RFC PATCH 2/2] gitk: Show the rev(s) the user specified on the command line in the window title.

From: Paul Mackerras <[email-masked]>
Date: Mon, 6 Apr 2015 14:37:11 +1000

On Tue, Jan 06, 2015 at 12:52:00PM -0500, Marc Branchaud wrote:
> Signed-off-by: Marc Branchaud <[email-masked]>
> ---
> 
> I often open multiple gitk windows in the same working directory to examine
> other branches or refs in the repo.  This change allows me to distinguish
> which window is showing what.
> 
> This is an RFC because it doesn't behave great with views.  I don't use views
> at all, so this doesn't bother me.  I'm not too sure what should be displayed
> if the user changes views -- probably the view name, but I'm not sure how to
> get a that in the code.

The view name is in $viewname($curview).  If that is "Command line"
you probably want to show some selected command line arguments.

Using $vrevs($curview) seems about right, though it will contain
"--gitk-symmetric-diff-marker" in some situations, which is an
internal thing that we don't want to show externally.  You should
probably filter it out.

The patch will need a proper description before I can apply it, of
course.

Paul.